RUDOF(1)

NAME
rudof shacl - Show information about SHACL shapes The SHACL schema can be passed through the data options or the optional schema options to provide an interface similar to Shacl-validate

SYNOPSIS
rudof shacl [OPTIONS] [DATA]...

DESCRIPTION
Show information about SHACL shapes The SHACL schema can be passed through the data options or the optional schema options to provide an interface similar to Shacl-validate

  Arguments:

    [DATA]...

OPTIONS

-t, --data-format <FORMAT>

    RDF Data format

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

--reader-mode <MODE>

    RDF Reader mode

    [default: strict] [possible values: lax, strict]

-s, --shapes <INPUT>

    Shapes graph: File, URI or - for stdin, if not set, it assumes the shapes come from the data

-f, --shapes-format <FORMAT>

    Shapes file format

    [default: turtle] [possible values: internal, turtle, ntriples, rdfxml, trig, n3, nquads, jsonld]

--base-data <IRI>

    Base RDF Data (used to resolve relative IRIs in RDF data)

--base-shapes <IRI>

    Base RDF Data (used to resolve relative IRIs in Shapes)

-r, --result-shapes-format <FORMAT>

    Result shapes format

    [default: internal] [possible values: internal, turtle, ntriples, rdfxml, trig, n3, nquads, jsonld]

-c, --config-file <FILE>

    Config file name

-o, --output-file <FILE>

    Output file name, default = terminal

--force-overwrite

    Force overwrite to output file if it already exists

--backend <BACKEND>

    Choose which RDF data backend to load the input into.

    - `memory` (default): parse into an in-process oxrdf::Graph. - `qlever`: launch a local QLever Docker container and index the input on disk. Requires the binary to be built with the `qlever` feature. - `endpoint=<URL_OR_NAME>`: query an external SPARQL endpoint by URL or by the name of an endpoint registered in the TOML config. See also the `--endpoint` / `-e` shortcut.

-e, --endpoint <URL_OR_NAME>

    Shortcut for `--backend endpoint=<URL_OR_NAME>`.

    Accepts either a full SPARQL endpoint URL or the name of an endpoint registered in the TOML config. Mutually exclusive with `--backend`.

-h, --help

    Print help (see a summary with '-h')